> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vizapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Health Check

> Check the health status of the API

The `/health` endpoint allows you to check the health status of the VizAPI.ai API. This endpoint is useful for monitoring and ensuring that the API is operational.

## Request

This endpoint doesn't require any parameters or authentication.

## Response

<ResponseField name="status" type="string">
  The health status of the API. Returns "healthy" when the API is operational.
</ResponseField>

## Examples

### Example Request

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET https://api.vizapi.ai/v1/health
  ```

  ```javascript Node.js theme={null}
  const fetch = require('node-fetch');

  async function checkHealth() {
    const response = await fetch('https://api.vizapi.ai/v1/health');
    const data = await response.json();
    console.log(data);
  }

  checkHealth();
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.vizapi.ai/v1/health"

  response = requests.get(url)
  data = response.json()
  print(data)
  ```
</CodeGroup>

### Example Response

```json theme={null}
{
  "status": "healthy"
}
```

## Error Codes

| Status Code | Description                                              |
| ----------- | -------------------------------------------------------- |
| 500         | Internal Server Error - The API is experiencing issues   |
| 503         | Service Unavailable - The API is temporarily unavailable |
